Organization policies
GET
/organizations/{organizationId}/iam-policies
List the IAM policies that are defined for this organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
List of IAM policies.
Afficher les attributs enfants
results.createdAt
string
obligatoire
When the IAM Policy was created.
results.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
results.definitions.actions
array of string
obligatoire
A list of actions
results.definitions.conditionsAll
array of object
Afficher les attributs enfants
results.definitions.conditionsAll.any
object
results.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.definitions.resources
array of string
obligatoire
A list of resources
results.description
string
IAM Policy description.
results.id
string
obligatoire
ID of the IAM Policy.
results.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
results.metadata.apps
array of string
results.metadata.clouds
array of string
results.metadata.groups
array of string
results.name
string
obligatoire
IAM Policy name.
results.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
results.type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.updatedAt
string
obligatoire
When the IAM Policy was last updated.
results.usersDependencyCount
integer
The number of users that depend on this IAM policy.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-policies
Create a new IAM policy for this organization.
Corps de la requête
name
string
obligatoire
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les paramètres enfants
definitions.actions
array of string
obligatoire
A list of actions
definitions.conditionsAll
array of object
Afficher les paramètres enfants
definitions.conditionsAll.any
object
definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obligatoire
A list of resources
metadata
object
Metadata for the IAM Role.
Afficher les paramètres enfants
metadata.clouds
array of string
metadata.apps
array of string
metadata.groups
array of string
Corps de la réponse
createdAt
string
obligatoire
When the IAM Policy was created.
definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
definitions.actions
array of string
obligatoire
A list of actions
definitions.conditionsAll
array of object
Afficher les attributs enfants
definitions.conditionsAll.any
object
definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obligatoire
A list of resources
description
string
IAM Policy description.
id
string
obligatoire
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obligatoire
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obligatoire
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-policies/{policyId}
Retrieve a single IAM policy.
Corps de la réponse
createdAt
string
obligatoire
When the IAM Policy was created.
definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
definitions.actions
array of string
obligatoire
A list of actions
definitions.conditionsAll
array of object
Afficher les attributs enfants
definitions.conditionsAll.any
object
definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obligatoire
A list of resources
description
string
IAM Policy description.
id
string
obligatoire
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obligatoire
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obligatoire
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-policies/{policyId}
Remove an IAM policy from the organization.
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-policies/{policyId}
Update an IAM policy's properties.
Corps de la requête
name
string
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
List of IAM Policy definitions.
Afficher les paramètres enfants
definitions.actions
array of string
obligatoire
A list of actions
definitions.conditionsAll
array of object
Afficher les paramètres enfants
definitions.conditionsAll.any
object
definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obligatoire
A list of resources
Corps de la réponse
createdAt
string
obligatoire
When the IAM Policy was created.
definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
definitions.actions
array of string
obligatoire
A list of actions
definitions.conditionsAll
array of object
Afficher les attributs enfants
definitions.conditionsAll.any
object
definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
obligatoire
A list of resources
description
string
IAM Policy description.
id
string
obligatoire
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
obligatoire
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
obligatoire
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'